package org.eclipse.epf.authoring.ui.richtext;

import java.io.UnsupportedEncodingException;

import org.eclipse.epf.library.layout.DefaultContentValidator;
import org.eclipse.epf.library.layout.LinkInfo;
import org.eclipse.epf.uma.MethodConfiguration;
import org.eclipse.epf.uma.MethodElement;

public class RichTextContentValidator extends DefaultContentValidator {

	public LinkInfo validateLink(MethodElement owner, String attributes,
			String text, MethodConfiguration config) {

		LinkInfo info = new LinkInfo(owner, this, pubDir) {
			protected String decode(String str) throws UnsupportedEncodingException {
				return str;
			}
		};
		info.validateLink(attributes, text, config);

		return info;
	}

}
